%define upstream_name    DBD-mysql
%define upstream_version 4.046
#define Werror_cflags %nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
Patch4:	    https://github.com/perl5-dbi/DBD-mysql/commit/0f0cebe87fab335873fd3701bc304922da826940.patch
Patch5:	    DBD-mysql-4.043-Add-new-database-handle-attribute-mysql_ssl_cipher.patch

BuildRequires: perl(DBI) >= 1.80.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README.md
%{perl_vendorarch}/*
%{_mandir}/*/*



%changelog
* Sat Jun 09 2018 shlomif <shlomif> 4.46.0-1.mga6
  (not released yet)
+ Revision: 1235689
- New version 4.046 (mga#23154)
+ luigiwalser <luigiwalser>
- sync patches with fedora to fix CVE-2017-1078[89]
- 4.043

* Tue Nov 29 2016 guillomovitch <guillomovitch> 4.41.0-1.mga6
+ Revision: 1071051
- new version 4.041

* Wed Nov 16 2016 guillomovitch <guillomovitch> 4.39.0-1.mga6
+ Revision: 1067568
- new version 4.039

* Tue Oct 04 2016 guillomovitch <guillomovitch> 4.37.0-1.mga6
+ Revision: 1058690
- new version 4.037

* Wed Jul 27 2016 guillomovitch <guillomovitch> 4.35.0-1.mga6
+ Revision: 1043808
- new version 4.035 (fix CVE-2014-9906 and CVE-2015-8949)

* Sat Jun 18 2016 pterjan <pterjan> 4.32.0-3.mga6
+ Revision: 1025373
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.32.0-2.mga6
+ Revision: 957096
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 4.32.0-1.mga6
+ Revision: 858226
- update to 4.032

* Fri Jun 26 2015 tv <tv> 4.31.0-2.mga6
+ Revision: 844812
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 4.31.0-1.mga6
+ Revision: 841861
- new version 4.031

* Wed Oct 15 2014 umeabot <umeabot> 4.28.0-3.mga5
+ Revision: 749215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.28.0-2.mga5
+ Revision: 684097
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 4.28.0-1.mga5
+ Revision: 659384
- update to 4.028

* Tue Jun 03 2014 jquelin <jquelin> 4.27.0-2.mga5
+ Revision: 632206
- perl 5.20.0 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 4.27.0-1.mga5
+ Revision: 606186
- update to 4.027

* Mon Feb 10 2014 jquelin <jquelin> 4.26.0-1.mga5
+ Revision: 588259
- update to 4.026

* Mon Oct 21 2013 umeabot <umeabot> 4.24.0-2.mga4
+ Revision: 539258
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 4.24.0-1.mga4
+ Revision: 491698
- update to 4.024

* Mon Jun 10 2013 jquelin <jquelin> 4.23.0-1.mga4
+ Revision: 441527
- update to 4.023

* Wed May 29 2013 jquelin <jquelin> 4.22.0-3.mga4
+ Revision: 431182
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.22.0-2.mga3
+ Revision: 365044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 4.22.0-1.mga3
+ Revision: 297969
- update to 4.022

* Tue Jun 05 2012 jquelin <jquelin> 4.21.0-1.mga3
+ Revision: 254734
- update to 4.021

* Wed May 30 2012 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 250490
- rebuild for perl 5.16

* Tue Dec 20 2011 barjac <barjac> 4.20.0-2.mga2
+ Revision: 184666
- Bump release
- Rebuild against mariadb
+ jquelin <jquelin>
- update to 4.020

* Sun Jun 12 2011 ahmad <ahmad> 4.19.0-4.mga2
+ Revision: 104423
- Update to 4.019
+ sander85 <sander85>
- Rebuild for perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 4.18.0-2.mga1
+ Revision: 77078
- Rebuild against new mysql

* Fri Feb 25 2011 jquelin <jquelin> 4.18.0-1.mga1
+ Revision: 59651
- update to 4.018

* Sat Jan 22 2011 jquelin <jquelin> 4.17.0-4.mga1
+ Revision: 32734
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.17.0-3.mga1
+ Revision: 30043
- mageia rebuild
- imported package perl-DBD-mysql

